﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace editor
{
    public partial class FormLevels : Form
    {
        public FormLevels()
        {
            InitializeComponent();
        }

        private void FormLevels_Load(object sender, EventArgs e)
        {
            int k = Levels.levels.Count;
            for (int i = 0; i < k; i++)
            {
                Font font = new Font("Microsoft Sans Serif", 9.75f, FontStyle.Regular, GraphicsUnit.Point, ((byte)(204)));
                Size size = new Size(51, 22);

                NumericUpDown nLvl = new NumericUpDown();
                nLvl.Name = "numLvl" + i;
                nLvl.Font = font;
                nLvl.Location = new Point(12, 26 + i * 28);
                nLvl.Minimum = 1;
                nLvl.Size = size;
                nLvl.TextAlign = HorizontalAlignment.Center;
                nLvl.Value = Levels.levels[i].lvlAdd;
                nLvl.ValueChanged += numLvl_Changed;
                this.Controls.Add(nLvl);

                NumericUpDown nMin = new NumericUpDown();
                nMin.Name = "numMin" + i;
                nMin.Font = font;
                nMin.Location = new Point(67, 26 + i * 28);
                nMin.Minimum = 1;
                nMin.Size = size;
                nMin.TextAlign = HorizontalAlignment.Center;
                nMin.Value = Levels.levels[i].minMobs;
                nMin.ValueChanged += numMin_Changed;
                this.Controls.Add(nMin);

                NumericUpDown nMax = new NumericUpDown();
                nMax.Name = "numMax" + i;
                nMax.Font = font;
                nMax.Location = new Point(121, 26 + i * 28);
                nMax.Minimum = 1;
                nMax.Size = size;
                nMax.TextAlign = HorizontalAlignment.Center;
                nMax.Value = Levels.levels[i].maxMobs;
                nMax.ValueChanged += numMax_Changed;
                this.Controls.Add(nMax);
            }
        }


        void numLvl_Changed(object sender, EventArgs e)
        {
            NumericUpDown num = (NumericUpDown)sender;
            int i = Convert.ToInt32(num.Name.Remove(0, 6));
            Level L = Levels.levels[i];
            L.lvlAdd = (int)num.Value;
            Levels.levels[i] = L;
        }

        void numMin_Changed(object sender, EventArgs e)
        {
            NumericUpDown num = (NumericUpDown)sender;
            int i = Convert.ToInt32(num.Name.Remove(0, 6));
            Level L = Levels.levels[i];
            L.minMobs = (int)num.Value;
            Levels.levels[i] = L;
        }

        void numMax_Changed(object sender, EventArgs e)
        {
            NumericUpDown num = (NumericUpDown)sender;
            int i = Convert.ToInt32(num.Name.Remove(0, 6));
            Level L = Levels.levels[i];
            L.maxMobs = (int)num.Value;
            Levels.levels[i] = L;
        }
    }
}
