﻿using System.Drawing;

namespace game
{
    class Scene
    {
        BufferedGraphicsContext bufferedGraphicsContext;
        BufferedGraphics bufferedGraphics;
        Graphics graphics;

        public Scene(Graphics target, Size size)
        {
            graphics = target;
            bufferedGraphicsContext = BufferedGraphicsManager.Current;
            bufferedGraphics = bufferedGraphicsContext.Allocate(graphics, new Rectangle(Point.Empty, size));
        }

        public void Resize(Size newSize)
        {
            if (bufferedGraphics == null)
                return;
            bufferedGraphics.Dispose();
            bufferedGraphics = bufferedGraphicsContext.Allocate(graphics, new Rectangle(Point.Empty, newSize));
        }

        public void Render()
        {
            bufferedGraphics.Render();
        }

        public Graphics GetGraphics()
        {
            return bufferedGraphics.Graphics;
        }
    }
}
